regex_compiler.h File Reference

Go to the source code of this file.

## Classes

class | std::__detail::_Compiler< _InIter, _TraitsT >
class | std::__detail::_Scanner< _InputIterator >
struct | std::__detail::_Scanner_base

## Namespaces

namespace | std
namespace | std::__detail

## Functions

template<typename _InIter , typename _TraitsT >
_AutomatonPtr | std::__detail::__compile (const _InIter &__b, const _InIter &__e, _TraitsT &__t, regex_constants::syntax_option_type __f)

## Detailed Description

This is an internal header file, included by other library headers. Do not attempt to use it directly. Instead, include <regex>.

Definition in file regex_compiler.h.